Subject: Re: HBF standard reexamined

From: Werner Lemberg <[email-masked]>
Date: Thu, 16 Jun 94 08:55:35 MEZ

Because I don't know whether my previous mail reached this list (I usually
get my own mail resent), I will send it again.

Sorry for answering so late.

Ross Paterson said:

>>    o   a simple function HBF_CheckCode() to check if a specified code
>>        is valid or not (with similar error codes to HBF_GetBitmap() )
>
>How do you intend to use this?

I've written a CJK-package for LaTeX2e (not yet finished) which will use
compressed fonts (i.e. 256 characters per font instead of one plane per
font), and I need to convert bitmap fonts into the needed format. This
job is easy for GB fonts, but a bit more difficult for Big 5 fonts. My
package will not recognize the gaps in the code range, therefore I have
to insert null bytes if an invalid character code is encountered.
hbfGetEach will jump over the gaps, which is not useful for my program.

>
>>    o   It is not explained exactly how to handle multiple entries of the
>>        same keyword like HBF_CODE_RANGE if using the function
>>        HBF_GetProperty(). I suggest to change this API-function:
>
>>            int HBF_GetProperty(
>>                       OUT   char *     property
>>                       IN    HBF_Handle handle,
>>                       IN    char *     propertyName );
>
>How about just saying that the following properties are inaccessible:
>
>       HBF_START_BYTE_2_RANGES
>       HBF_BYTE_2_RANGE
>       HBF_START_CODE_RANGES
>       HBF_CODE_RANGE

After trying to implement my suggestion, I support your view :-)
I now think it is better to hide these entries, but my program NEEDS
the information about byte- and code ranges.

Please add functions like HBF_GetCodeRange(...) and HBF_GetByte2Range(...)
to access these values.

    Werner